Error deploying to Heroku

Hello - I am getting an error when trying to deploy my app to heroku:

2021-01-11T12:42:49.000000+00:00 app[api]: Build succeeded

2021-01-11T12:42:49.734920+00:00 app[web.1]: [2021-01-11 12:42:49 +0000] [4] [INFO] Starting gunicorn 20.0.4

2021-01-11T12:42:49.735875+00:00 app[web.1]: [2021-01-11 12:42:49 +0000] [4] [INFO] Listening at: http://0.0.0.0:30690 (4)

2021-01-11T12:42:49.736035+00:00 app[web.1]: [2021-01-11 12:42:49 +0000] [4] [INFO] Using worker: sync

2021-01-11T12:42:49.743988+00:00 app[web.1]: [2021-01-11 12:42:49 +0000] [10] [INFO] Booting worker with pid: 10

2021-01-11T12:42:49.805725+00:00 app[web.1]: [2021-01-11 12:42:49 +0000] [11] [INFO] Booting worker with pid: 11

2021-01-11T12:42:50.611107+00:00 heroku[web.1]: State changed from starting to up

2021-01-11T12:42:51.137943+00:00 app[web.1]: [2021-01-11 12:42:51 +0000] [10] [ERROR] Exception in worker process

2021-01-11T12:42:51.137967+00:00 app[web.1]: Traceback (most recent call last):

2021-01-11T12:42:51.137968+00:00 app[web.1]: File “/app/.heroku/python/lib/python3.7/site-packages/gunicorn/arbiter.py”, line 583, in spawn_worker

2021-01-11T12:42:51.137969+00:00 app[web.1]: worker.init_process()

2021-01-11T12:42:51.137970+00:00 app[web.1]: File “/app/.heroku/python/lib/python3.7/site-packages/gunicorn/workers/base.py”, line 119, in init_process

2021-01-11T12:42:51.137970+00:00 app[web.1]: self.load_wsgi()

2021-01-11T12:42:51.137970+00:00 app[web.1]: File “/app/.heroku/python/lib/python3.7/site-packages/gunicorn/workers/base.py”, line 144, in load_wsgi

2021-01-11T12:42:51.137971+00:00 app[web.1]: self.wsgi = self.app.wsgi()

2021-01-11T12:42:51.137971+00:00 app[web.1]: File “/app/.heroku/python/lib/python3.7/site-packages/gunicorn/app/base.py”, line 67, in wsgi

2021-01-11T12:42:51.137972+00:00 app[web.1]: self.callable = self.load()

2021-01-11T12:42:51.137972+00:00 app[web.1]: File “/app/.heroku/python/lib/python3.7/site-packages/gunicorn/app/wsgiapp.py”, line 49, in load

2021-01-11T12:42:51.137972+00:00 app[web.1]: return self.load_wsgiapp()

2021-01-11T12:42:51.137973+00:00 app[web.1]: File “/app/.heroku/python/lib/python3.7/site-packages/gunicorn/app/wsgiapp.py”, line 39, in load_wsgiapp

2021-01-11T12:42:51.137973+00:00 app[web.1]: return util.import_app(self.app_uri)

2021-01-11T12:42:51.137973+00:00 app[web.1]: File “/app/.heroku/python/lib/python3.7/site-packages/gunicorn/util.py”, line 358, in import_app

2021-01-11T12:42:51.137974+00:00 app[web.1]: mod = importlib.import_module(module)

2021-01-11T12:42:51.137974+00:00 app[web.1]: File “/app/.heroku/python/lib/python3.7/importlib/init.py”, line 127, in import_module

2021-01-11T12:42:51.137975+00:00 app[web.1]: return _bootstrap._gcd_import(name[level:], package, level)

2021-01-11T12:42:51.137975+00:00 app[web.1]: File “”, line 1006, in _gcd_import

2021-01-11T12:42:51.137976+00:00 app[web.1]: File “”, line 983, in _find_and_load

2021-01-11T12:42:51.137976+00:00 app[web.1]: File “”, line 967, in _find_and_load_unlocked

2021-01-11T12:42:51.137976+00:00 app[web.1]: File “”, line 677, in _load_unlocked

2021-01-11T12:42:51.137977+00:00 app[web.1]: File “”, line 728, in exec_module

2021-01-11T12:42:51.137977+00:00 app[web.1]: File “”, line 219, in _call_with_frames_removed

2021-01-11T12:42:51.137977+00:00 app[web.1]: File “/app/app.py”, line 4, in

2021-01-11T12:42:51.137978+00:00 app[web.1]: from IPython.display import display

2021-01-11T12:42:51.137978+00:00 app[web.1]: ModuleNotFoundError: No module named ‘IPython’

2021-01-11T12:42:51.138200+00:00 app[web.1]: [2021-01-11 12:42:51 +0000] [10] [INFO] Worker exiting (pid: 10)

2021-01-11T12:42:51.492800+00:00 app[web.1]: [2021-01-11 12:42:51 +0000] [11] [ERROR] Exception in worker process

2021-01-11T12:42:51.492808+00:00 app[web.1]: Traceback (most recent call last):

2021-01-11T12:42:51.492808+00:00 app[web.1]: File “/app/.heroku/python/lib/python3.7/site-packages/gunicorn/arbiter.py”, line 583, in spawn_worker

2021-01-11T12:42:51.492809+00:00 app[web.1]: worker.init_process()

2021-01-11T12:42:51.492809+00:00 app[web.1]: File “/app/.heroku/python/lib/python3.7/site-packages/gunicorn/workers/base.py”, line 119, in init_process

2021-01-11T12:42:51.492810+00:00 app[web.1]: self.load_wsgi()

2021-01-11T12:42:51.492810+00:00 app[web.1]: File “/app/.heroku/python/lib/python3.7/site-packages/gunicorn/workers/base.py”, line 144, in load_wsgi

2021-01-11T12:42:51.492811+00:00 app[web.1]: self.wsgi = self.app.wsgi()

2021-01-11T12:42:51.492812+00:00 app[web.1]: File “/app/.heroku/python/lib/python3.7/site-packages/gunicorn/app/base.py”, line 67, in wsgi

2021-01-11T12:42:51.492812+00:00 app[web.1]: self.callable = self.load()

2021-01-11T12:42:51.492812+00:00 app[web.1]: File “/app/.heroku/python/lib/python3.7/site-packages/gunicorn/app/wsgiapp.py”, line 49, in load

2021-01-11T12:42:51.492813+00:00 app[web.1]: return self.load_wsgiapp()

2021-01-11T12:42:51.492813+00:00 app[web.1]: File “/app/.heroku/python/lib/python3.7/site-packages/gunicorn/app/wsgiapp.py”, line 39, in load_wsgiapp

2021-01-11T12:42:51.492813+00:00 app[web.1]: return util.import_app(self.app_uri)

2021-01-11T12:42:51.492814+00:00 app[web.1]: File “/app/.heroku/python/lib/python3.7/site-packages/gunicorn/util.py”, line 358, in import_app

2021-01-11T12:42:51.492814+00:00 app[web.1]: mod = importlib.import_module(module)

2021-01-11T12:42:51.492815+00:00 app[web.1]: File “/app/.heroku/python/lib/python3.7/importlib/init.py”, line 127, in import_module

2021-01-11T12:42:51.492815+00:00 app[web.1]: return _bootstrap._gcd_import(name[level:], package, level)

2021-01-11T12:42:51.492816+00:00 app[web.1]: File “”, line 1006, in _gcd_import

2021-01-11T12:42:51.492816+00:00 app[web.1]: File “”, line 983, in _find_and_load

2021-01-11T12:42:51.492816+00:00 app[web.1]: File “”, line 967, in _find_and_load_unlocked

2021-01-11T12:42:51.492817+00:00 app[web.1]: File “”, line 677, in _load_unlocked

2021-01-11T12:42:51.492817+00:00 app[web.1]: File “”, line 728, in exec_module

2021-01-11T12:42:51.492818+00:00 app[web.1]: File “”, line 219, in _call_with_frames_removed

2021-01-11T12:42:51.492818+00:00 app[web.1]: File “/app/app.py”, line 4, in

2021-01-11T12:42:51.492819+00:00 app[web.1]: from IPython.display import display

2021-01-11T12:42:51.492819+00:00 app[web.1]: ModuleNotFoundError: No module named ‘IPython’

2021-01-11T12:42:51.493106+00:00 app[web.1]: [2021-01-11 12:42:51 +0000] [11] [INFO] Worker exiting (pid: 11)

2021-01-11T12:42:51.649775+00:00 app[web.1]: Traceback (most recent call last):

2021-01-11T12:42:51.649783+00:00 app[web.1]: File “/app/.heroku/python/lib/python3.7/site-packages/gunicorn/arbiter.py”, line 209, in run

2021-01-11T12:42:51.650243+00:00 app[web.1]: self.sleep()

2021-01-11T12:42:51.650275+00:00 app[web.1]: File “/app/.heroku/python/lib/python3.7/site-packages/gunicorn/arbiter.py”, line 357, in sleep

2021-01-11T12:42:51.650670+00:00 app[web.1]: ready = select.select([self.PIPE[0]], , , 1.0)

2021-01-11T12:42:51.650674+00:00 app[web.1]: File “/app/.heroku/python/lib/python3.7/site-packages/gunicorn/arbiter.py”, line 242, in handle_chld

2021-01-11T12:42:51.650948+00:00 app[web.1]: self.reap_workers()

2021-01-11T12:42:51.650951+00:00 app[web.1]: File “/app/.heroku/python/lib/python3.7/site-packages/gunicorn/arbiter.py”, line 525, in reap_workers

2021-01-11T12:42:51.651355+00:00 app[web.1]: raise HaltServer(reason, self.WORKER_BOOT_ERROR)

2021-01-11T12:42:51.651495+00:00 app[web.1]: gunicorn.errors.HaltServer: <HaltServer ‘Worker failed to boot.’ 3>

2021-01-11T12:42:51.651500+00:00 app[web.1]:

2021-01-11T12:42:51.651500+00:00 app[web.1]: During handling of the above exception, another exception occurred:

2021-01-11T12:42:51.651501+00:00 app[web.1]:

2021-01-11T12:42:51.651504+00:00 app[web.1]: Traceback (most recent call last):

2021-01-11T12:42:51.651540+00:00 app[web.1]: File “/app/.heroku/python/bin/gunicorn”, line 8, in

2021-01-11T12:42:51.651683+00:00 app[web.1]: sys.exit(run())

2021-01-11T12:42:51.651714+00:00 app[web.1]: File “/app/.heroku/python/lib/python3.7/site-packages/gunicorn/app/wsgiapp.py”, line 58, in run

2021-01-11T12:42:51.651874+00:00 app[web.1]: WSGIApplication("%(prog)s [OPTIONS] [APP_MODULE]").run()

2021-01-11T12:42:51.651877+00:00 app[web.1]: File “/app/.heroku/python/lib/python3.7/site-packages/gunicorn/app/base.py”, line 228, in run

2021-01-11T12:42:51.652253+00:00 app[web.1]: super().run()

2021-01-11T12:42:51.652253+00:00 app[web.1]: File “/app/.heroku/python/lib/python3.7/site-packages/gunicorn/app/base.py”, line 72, in run

2021-01-11T12:42:51.652417+00:00 app[web.1]: Arbiter(self).run()

2021-01-11T12:42:51.652422+00:00 app[web.1]: File “/app/.heroku/python/lib/python3.7/site-packages/gunicorn/arbiter.py”, line 229, in run

2021-01-11T12:42:51.652627+00:00 app[web.1]: self.halt(reason=inst.reason, exit_status=inst.exit_status)

2021-01-11T12:42:51.652628+00:00 app[web.1]: File “/app/.heroku/python/lib/python3.7/site-packages/gunicorn/arbiter.py”, line 342, in halt

2021-01-11T12:42:51.652901+00:00 app[web.1]: self.stop()

2021-01-11T12:42:51.652902+00:00 app[web.1]: File “/app/.heroku/python/lib/python3.7/site-packages/gunicorn/arbiter.py”, line 393, in stop

2021-01-11T12:42:51.653169+00:00 app[web.1]: time.sleep(0.1)

2021-01-11T12:42:51.653170+00:00 app[web.1]: File “/app/.heroku/python/lib/python3.7/site-packages/gunicorn/arbiter.py”, line 242, in handle_chld

2021-01-11T12:42:51.653397+00:00 app[web.1]: self.reap_workers()

2021-01-11T12:42:51.653398+00:00 app[web.1]: File “/app/.heroku/python/lib/python3.7/site-packages/gunicorn/arbiter.py”, line 525, in reap_workers

2021-01-11T12:42:51.653736+00:00 app[web.1]: raise HaltServer(reason, self.WORKER_BOOT_ERROR)

2021-01-11T12:42:51.653782+00:00 app[web.1]: gunicorn.errors.HaltServer: <HaltServer ‘Worker failed to boot.’ 3>

2021-01-11T12:42:51.758534+00:00 heroku[web.1]: Process exited with status 1

2021-01-11T12:42:51.797668+00:00 heroku[web.1]: State changed from up to crashed

2021-01-11T12:43:02.990833+00:00 heroku[router]: at=error code= H10 desc=“App crashed” method= GET path="/" host=rxmoney.herokuapp.com request_id=4572ef33-8be4-4053-9e48-12831b793061 fwd=“74.90.2.120” dyno= connect= service= status=503 bytes= protocol=https

2021-01-11T12:43:03.477611+00:00 heroku[router]: at=error code= H10 desc=“App crashed” method= GET path="/favicon.ico" host=rxmoney.herokuapp.com request_id=df01d95e-671a-434b-b059-2da62a3c461f fwd=“74.90.2.120” dyno= connect= service= status=503 bytes= protocol=https

2021-01-11T12:51:12.643198+00:00 heroku[web.1]: State changed from crashed to starting

2021-01-11T12:51:25.533926+00:00 heroku[web.1]: Starting process with command gunicorn app:app

2021-01-11T12:51:28.506132+00:00 app[web.1]: [2021-01-11 12:51:28 +0000] [4] [INFO] Starting gunicorn 20.0.4

2021-01-11T12:51:28.507106+00:00 app[web.1]: [2021-01-11 12:51:28 +0000] [4] [INFO] Listening at: http://0.0.0.0:54206 (4)

2021-01-11T12:51:28.507259+00:00 app[web.1]: [2021-01-11 12:51:28 +0000] [4] [INFO] Using worker: sync

2021-01-11T12:51:28.513085+00:00 app[web.1]: [2021-01-11 12:51:28 +0000] [10] [INFO] Booting worker with pid: 10

2021-01-11T12:51:28.580512+00:00 app[web.1]: [2021-01-11 12:51:28 +0000] [18] [INFO] Booting worker with pid: 18

2021-01-11T12:51:29.361086+00:00 app[web.1]: [2021-01-11 12:51:29 +0000] [10] [ERROR] Exception in worker process

2021-01-11T12:51:29.361134+00:00 app[web.1]: Traceback (most recent call last):

2021-01-11T12:51:29.361135+00:00 app[web.1]: File “/app/.heroku/python/lib/python3.7/site-packages/gunicorn/arbiter.py”, line 583, in spawn_worker

2021-01-11T12:51:29.361135+00:00 app[web.1]: worker.init_process()

2021-01-11T12:51:29.361136+00:00 app[web.1]: File “/app/.heroku/python/lib/python3.7/site-packages/gunicorn/workers/base.py”, line 119, in init_process

2021-01-11T12:51:29.361136+00:00 app[web.1]: self.load_wsgi()

2021-01-11T12:51:29.361136+00:00 app[web.1]: File “/app/.heroku/python/lib/python3.7/site-packages/gunicorn/workers/base.py”, line 144, in load_wsgi

2021-01-11T12:51:29.361137+00:00 app[web.1]: self.wsgi = self.app.wsgi()

2021-01-11T12:51:29.361137+00:00 app[web.1]: File “/app/.heroku/python/lib/python3.7/site-packages/gunicorn/app/base.py”, line 67, in wsgi

2021-01-11T12:51:29.361138+00:00 app[web.1]: self.callable = self.load()

2021-01-11T12:51:29.361138+00:00 app[web.1]: File “/app/.heroku/python/lib/python3.7/site-packages/gunicorn/app/wsgiapp.py”, line 49, in load

2021-01-11T12:51:29.361139+00:00 app[web.1]: return self.load_wsgiapp()

2021-01-11T12:51:29.361139+00:00 app[web.1]: File “/app/.heroku/python/lib/python3.7/site-packages/gunicorn/app/wsgiapp.py”, line 39, in load_wsgiapp

2021-01-11T12:51:29.361139+00:00 app[web.1]: return util.import_app(self.app_uri)

2021-01-11T12:51:29.361140+00:00 app[web.1]: File “/app/.heroku/python/lib/python3.7/site-packages/gunicorn/util.py”, line 358, in import_app

2021-01-11T12:51:29.361140+00:00 app[web.1]: mod = importlib.import_module(module)

2021-01-11T12:51:29.361140+00:00 app[web.1]: File “/app/.heroku/python/lib/python3.7/importlib/init.py”, line 127, in import_module

2021-01-11T12:51:29.361141+00:00 app[web.1]: return _bootstrap._gcd_import(name[level:], package, level)

2021-01-11T12:51:29.361142+00:00 app[web.1]: File “”, line 1006, in _gcd_import

2021-01-11T12:51:29.361142+00:00 app[web.1]: File “”, line 983, in _find_and_load

2021-01-11T12:51:29.361142+00:00 app[web.1]: File “”, line 967, in _find_and_load_unlocked

2021-01-11T12:51:29.361143+00:00 app[web.1]: File “”, line 677, in _load_unlocked

2021-01-11T12:51:29.361143+00:00 app[web.1]: File “”, line 728, in exec_module

2021-01-11T12:51:29.361143+00:00 app[web.1]: File “”, line 219, in _call_with_frames_removed

2021-01-11T12:51:29.361144+00:00 app[web.1]: File “/app/app.py”, line 4, in

2021-01-11T12:51:29.361144+00:00 app[web.1]: from IPython.display import display

2021-01-11T12:51:29.361144+00:00 app[web.1]: ModuleNotFoundError: No module named ‘IPython’

2021-01-11T12:51:29.361146+00:00 app[web.1]: [2021-01-11 12:51:29 +0000] [10] [INFO] Worker exiting (pid: 10)

2021-01-11T12:51:29.502075+00:00 app[web.1]: [2021-01-11 12:51:29 +0000] [18] [ERROR] Exception in worker process

2021-01-11T12:51:29.502078+00:00 app[web.1]: Traceback (most recent call last):

2021-01-11T12:51:29.502079+00:00 app[web.1]: File “/app/.heroku/python/lib/python3.7/site-packages/gunicorn/arbiter.py”, line 583, in spawn_worker

2021-01-11T12:51:29.502080+00:00 app[web.1]: worker.init_process()

2021-01-11T12:51:29.502080+00:00 app[web.1]: File “/app/.heroku/python/lib/python3.7/site-packages/gunicorn/workers/base.py”, line 119, in init_process

2021-01-11T12:51:29.502081+00:00 app[web.1]: self.load_wsgi()

2021-01-11T12:51:29.502081+00:00 app[web.1]: File “/app/.heroku/python/lib/python3.7/site-packages/gunicorn/workers/base.py”, line 144, in load_wsgi

2021-01-11T12:51:29.502081+00:00 app[web.1]: self.wsgi = self.app.wsgi()

2021-01-11T12:51:29.502082+00:00 app[web.1]: File “/app/.heroku/python/lib/python3.7/site-packages/gunicorn/app/base.py”, line 67, in wsgi

2021-01-11T12:51:29.502082+00:00 app[web.1]: self.callable = self.load()

2021-01-11T12:51:29.502083+00:00 app[web.1]: File “/app/.heroku/python/lib/python3.7/site-packages/gunicorn/app/wsgiapp.py”, line 49, in load

2021-01-11T12:51:29.502083+00:00 app[web.1]: return self.load_wsgiapp()

2021-01-11T12:51:29.502084+00:00 app[web.1]: File “/app/.heroku/python/lib/python3.7/site-packages/gunicorn/app/wsgiapp.py”, line 39, in load_wsgiapp

2021-01-11T12:51:29.502084+00:00 app[web.1]: return util.import_app(self.app_uri)

2021-01-11T12:51:29.502084+00:00 app[web.1]: File “/app/.heroku/python/lib/python3.7/site-packages/gunicorn/util.py”, line 358, in import_app

2021-01-11T12:51:29.502085+00:00 app[web.1]: mod = importlib.import_module(module)

2021-01-11T12:51:29.502085+00:00 app[web.1]: File “/app/.heroku/python/lib/python3.7/importlib/init.py”, line 127, in import_module

2021-01-11T12:51:29.502086+00:00 app[web.1]: return _bootstrap._gcd_import(name[level:], package, level)

2021-01-11T12:51:29.502089+00:00 app[web.1]: File “”, line 1006, in _gcd_import

2021-01-11T12:51:29.502089+00:00 app[web.1]: File “”, line 983, in _find_and_load

2021-01-11T12:51:29.502090+00:00 app[web.1]: File “”, line 967, in _find_and_load_unlocked

2021-01-11T12:51:29.502090+00:00 app[web.1]: File “”, line 677, in _load_unlocked

2021-01-11T12:51:29.502090+00:00 app[web.1]: File “”, line 728, in exec_module

2021-01-11T12:51:29.502091+00:00 app[web.1]: File “”, line 219, in _call_with_frames_removed

2021-01-11T12:51:29.502091+00:00 app[web.1]: File “/app/app.py”, line 4, in

2021-01-11T12:51:29.502092+00:00 app[web.1]: from IPython.display import display

2021-01-11T12:51:29.502092+00:00 app[web.1]: ModuleNotFoundError: No module named ‘IPython’

2021-01-11T12:51:29.502333+00:00 app[web.1]: [2021-01-11 12:51:29 +0000] [18] [INFO] Worker exiting (pid: 18)

2021-01-11T12:51:29.618446+00:00 app[web.1]: Traceback (most recent call last):

2021-01-11T12:51:29.618831+00:00 app[web.1]: File “/app/.heroku/python/lib/python3.7/site-packages/gunicorn/arbiter.py”, line 209, in run

2021-01-11T12:51:29.620046+00:00 app[web.1]: self.sleep()

2021-01-11T12:51:29.620078+00:00 app[web.1]: File “/app/.heroku/python/lib/python3.7/site-packages/gunicorn/arbiter.py”, line 357, in sleep

2021-01-11T12:51:29.621059+00:00 app[web.1]: ready = select.select([self.PIPE[0]], , , 1.0)

2021-01-11T12:51:29.621088+00:00 app[web.1]: File “/app/.heroku/python/lib/python3.7/site-packages/gunicorn/arbiter.py”, line 242, in handle_chld

2021-01-11T12:51:29.621785+00:00 app[web.1]: self.reap_workers()

2021-01-11T12:51:29.621817+00:00 app[web.1]: File “/app/.heroku/python/lib/python3.7/site-packages/gunicorn/arbiter.py”, line 525, in reap_workers

2021-01-11T12:51:29.622814+00:00 app[web.1]: raise HaltServer(reason, self.WORKER_BOOT_ERROR)

2021-01-11T12:51:29.623163+00:00 app[web.1]: gunicorn.errors.HaltServer: <HaltServer ‘Worker failed to boot.’ 3>

2021-01-11T12:51:29.623189+00:00 app[web.1]:

2021-01-11T12:51:29.623190+00:00 app[web.1]: During handling of the above exception, another exception occurred:

2021-01-11T12:51:29.623190+00:00 app[web.1]:

2021-01-11T12:51:29.623219+00:00 app[web.1]: Traceback (most recent call last):

2021-01-11T12:51:29.623318+00:00 app[web.1]: File “/app/.heroku/python/bin/gunicorn”, line 8, in

2021-01-11T12:51:29.623830+00:00 app[web.1]: sys.exit(run())

2021-01-11T12:51:29.623862+00:00 app[web.1]: File “/app/.heroku/python/lib/python3.7/site-packages/gunicorn/app/wsgiapp.py”, line 58, in run

2021-01-11T12:51:29.624376+00:00 app[web.1]: WSGIApplication("%(prog)s [OPTIONS] [APP_MODULE]").run()

2021-01-11T12:51:29.624408+00:00 app[web.1]: File “/app/.heroku/python/lib/python3.7/site-packages/gunicorn/app/base.py”, line 228, in run

2021-01-11T12:51:29.625072+00:00 app[web.1]: super().run()

2021-01-11T12:51:29.625224+00:00 app[web.1]: File “/app/.heroku/python/lib/python3.7/site-packages/gunicorn/app/base.py”, line 72, in run

2021-01-11T12:51:29.625683+00:00 app[web.1]: Arbiter(self).run()

2021-01-11T12:51:29.625742+00:00 app[web.1]: File “/app/.heroku/python/lib/python3.7/site-packages/gunicorn/arbiter.py”, line 229, in run

2021-01-11T12:51:29.626448+00:00 app[web.1]: self.halt(reason=inst.reason, exit_status=inst.exit_status)

2021-01-11T12:51:29.626481+00:00 app[web.1]: File “/app/.heroku/python/lib/python3.7/site-packages/gunicorn/arbiter.py”, line 342, in halt

2021-01-11T12:51:29.630282+00:00 app[web.1]: self.stop()

2021-01-11T12:51:29.630351+00:00 app[web.1]: File “/app/.heroku/python/lib/python3.7/site-packages/gunicorn/arbiter.py”, line 393, in stop

2021-01-11T12:51:29.631813+00:00 app[web.1]: time.sleep(0.1)

2021-01-11T12:51:29.631849+00:00 app[web.1]: File “/app/.heroku/python/lib/python3.7/site-packages/gunicorn/arbiter.py”, line 242, in handle_chld

2021-01-11T12:51:29.632171+00:00 app[web.1]: self.reap_workers()

2021-01-11T12:51:29.632204+00:00 app[web.1]: File “/app/.heroku/python/lib/python3.7/site-packages/gunicorn/arbiter.py”, line 525, in reap_workers

2021-01-11T12:51:29.632650+00:00 app[web.1]: raise HaltServer(reason, self.WORKER_BOOT_ERROR)

2021-01-11T12:51:29.633300+00:00 app[web.1]: gunicorn.errors.HaltServer: <HaltServer ‘Worker failed to boot.’ 3>

2021-01-11T12:51:29.729223+00:00 heroku[web.1]: Process exited with status 1

2021-01-11T12:51:29.790269+00:00 heroku[web.1]: State changed from starting to crashed

My requirements:

Click==7.0
dash==1.7.0
dash-core-components==1.6.0
dash-html-components==1.0.2
dash-renderer==1.2.2
dash-table==4.5.1
Flask==1.1.1
Flask-Compress==1.4.0
future==0.18.2
gunicorn==20.0.4
itsdangerous==1.1.0
Jinja2==2.10.3
MarkupSafe==1.1.1
pandas
plotly==4.4.1
retrying==1.3.3
six==1.13.0
Werkzeug==0.16.0

Any ideas?